Bug 1478429 - 'Ansible Tower' should not be mentioned in CloudForms notification when using Ansible Automation Inside
Summary: 'Ansible Tower' should not be mentioned in CloudForms notification when using...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Greg Blomquist
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible_embed:notification
Depends On: 1458593
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 14:22 UTC by Satoe Imaishi
Modified: 2017-10-24 00:17 UTC (History)
11 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1458593
Environment:
Last Closed: 2017-10-24 00:17:32 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 14:31:16 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/864f8b325e2321f2f0fd9c29de189d5049c5c3f8

commit 864f8b325e2321f2f0fd9c29de189d5049c5c3f8
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Jun 29 15:35:30 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 10:24:18 2017 -0400

    Merge pull request #15478 from blomquisg/tower_not_tower
    
    Avoid Tower in notifications for embedded ansible
    (cherry picked from commit 2b6dd956c78620a609247ddfe7cfb13ee1108e35)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478429

 .../embedded_ansible/automation_manager/configuration_script.rb         | 2 ++
 .../embedded_ansible/automation_manager/configuration_script_source.rb  | 2 ++
 .../providers/embedded_ansible/automation_manager/credential.rb         | 2 ++
 3 files changed, 6 insertions(+)

Comment 3 CFME Bot 2017-08-04 19:31:23 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/519584923ddcf622f5351730641773f0c20ad53b

commit 519584923ddcf622f5351730641773f0c20ad53b
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Jul 17 18:22:43 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 15:25:47 2017 -0400

    Merge pull request #10 from blomquisg/tower_not_tower
    
    Avoid Tower in notifications for embedded ansible
    (cherry picked from commit b9c12e84e9904c64c094067397ab2dad8b281f7d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478429

 .../providers/ansible_tower/shared/automation_manager/tower_api.rb  | 2 +-
 .../automation_manager/configuration_script_source.rb               | 6 +++---
 spec/support/ansible_shared/automation_manager/credential.rb        | 6 +++---
 3 files changed, 7 insertions(+), 7 deletions(-)

Comment 4 Dmitry Misharov 2017-08-28 08:32:09 UTC
Fixed and verified in 5.8.2.0.20170824192913_b09a5f8. 'Ansible Tower' is not mentioned in CloudForms notifications.

Comment 6 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.